WordPress 4.9.4 修复自动更新功能

第一次看到这么连续的两个版本发布,WordPress 4.9.4 的发布是为了修复在 WordPress 4.9.3 中出现的一个新问题:无法自动更新WordPress内核版本。

起因

WordPress 4.9.3 为了减少自动更新定时任务所产生的API调用的数量,而修改了相关代码。不幸的是,由于人为错误,最终的提交并没有达到预期的效果,而是触发了一个致命的PHP错误,因为并不是所有find_core_auto_update()的依赖都满足了。无论出于何种原因,在4.9.3发布之前没有发现致命错误 – 发布后几个小时才发现,所以才有了这个版本的发布。

后果

那么导致了一个什么后果呢,就是如果你的WP版本是4.9.3,那么你需要自己到后台手动更新

也就是说你只有手动更新到 WordPress 4.9.4,才能继续保证WordPress以后可以自动更新

详情可查看官方发布的更新日志:点击查看

 

参与评论